{
  config,
  name,
  ...
}: {
  sops.secrets."restic/default-password" = {};

  homelab = {
    enable = true;
    hostname = name;
    tags = [name];

    monitoring.enable = true;
    motd.enable = true;

    backups = {
      enable = true;
      backends = {
        restic = {
          enable = true;
          repository = "/srv/restic-repo";
          passwordFile = config.sops.secrets."restic/default-password".path;
        };
      };
    };

    services.prometheus = {
      enable = true;
    };

    services.gatus = {
      enable = true;
      ui = {
        title = "Homelab Status Dashboard";
        header = "My Homelab Services";
      };
    };
  };

  system.stateVersion = "25.05";
}
